Main Page Class List Class Members

# Nv::Blast::FbxFileReader Class Reference

`#include <NvBlastExtExporterFbxReader.h>`

Inheritance diagram for Nv::Blast::FbxFileReader:

List of all members.

## Classes
struct | CollisionHullImpl
## Public Member Functions
| FbxFileReader ()
virtual uint32_t | getBoneCount () override
virtual uint32_t | getBoneInfluences (uint32_t *&out) override
virtual uint32_t | getCollision (uint32_t *&hullsOffset, Nv::Blast::CollisionHull **&hulls) override
virtual uint32_t * | getIndexArray () override
virtual uint32_t | getIndicesCount () const override
int32_t | getMaterialCount () override
int32_t * | getMaterialIds () override
const char * | getMaterialName (int32_t id) override
virtual NvcVec3 * | getNormalsArray () override
virtual NvcVec3 * | getPositionArray () override
int32_t * | getSmoothingGroups () override
virtual NvcVec2 * | getUvArray () override
virtual uint32_t | getVerticesCount () const override
virtual bool | isCollisionLoaded () override
virtual void | loadFromFile (const char *filename) override
virtual void | release () override
| ~FbxFileReader ()

## Constructor & Destructor Documentation

Nv::Blast::FbxFileReader::FbxFileReader | ( |  | ) |

Nv::Blast::FbxFileReader::~FbxFileReader | ( |  | ) |

## Member Function Documentation

virtual uint32_t Nv::Blast::FbxFileReader::getBoneCount | ( |  | ) | `[override, virtual]`

Return number of bones in fbx file

Implements Nv::Blast::IFbxFileReader.

virtual uint32_t Nv::Blast::FbxFileReader::getBoneInfluences | ( | uint32_t *& | out | ) | `[override, virtual]`

Retrieve bone influence if it exist, this is a bone index for each vertex in the mesh

Note:
  User should call NVBLAST_FREE for out when it not needed anymore

Parameters:

  `[out]` | out | Array of bone influences.

Returns:
  Number of bones influences (boneCount)

Implements Nv::Blast::IFbxFileReader.

virtual uint32_t Nv::Blast::FbxFileReader::getCollision | ( | uint32_t *& | hullsOffset,
|  | Nv::Blast::CollisionHull **& | hulls |
| ) |  |  | `[override, virtual]`

Retrieve collision geometry if it exist

Implements Nv::Blast::IMeshFileReader.

virtual uint32_t* Nv::Blast::FbxFileReader::getIndexArray | ( |  | ) | `[override, virtual]`

Get loaded triangle indices

Implements Nv::Blast::IMeshFileReader.

virtual uint32_t Nv::Blast::FbxFileReader::getIndicesCount | ( |  | ) | const`[inline, override, virtual]`

Number of loaded indices

Implements Nv::Blast::IMeshFileReader.

int32_t Nv::Blast::FbxFileReader::getMaterialCount | ( |  | ) | `[override, virtual]`

Get material count.

Implements Nv::Blast::IMeshFileReader.

int32_t* Nv::Blast::FbxFileReader::getMaterialIds | ( |  | ) | `[override, virtual]`

Get loaded per triangle material ids.

Implements Nv::Blast::IMeshFileReader.

const char* Nv::Blast::FbxFileReader::getMaterialName | ( | int32_t | id | ) | `[override, virtual]`

Get material name.

Implements Nv::Blast::IMeshFileReader.

virtual NvcVec3* Nv::Blast::FbxFileReader::getNormalsArray | ( |  | ) | `[override, virtual]`

Get loaded vertex normals

Implements Nv::Blast::IMeshFileReader.

virtual NvcVec3* Nv::Blast::FbxFileReader::getPositionArray | ( |  | ) | `[override, virtual]`

Get loaded vertex positions

Implements Nv::Blast::IMeshFileReader.

int32_t* Nv::Blast::FbxFileReader::getSmoothingGroups | ( |  | ) | `[override, virtual]`

Get loaded per triangle smoothing groups. Currently not supported.

Implements Nv::Blast::IMeshFileReader.

virtual NvcVec2* Nv::Blast::FbxFileReader::getUvArray | ( |  | ) | `[override, virtual]`

Get loaded vertex uv-coordinates

Implements Nv::Blast::IMeshFileReader.

virtual uint32_t Nv::Blast::FbxFileReader::getVerticesCount | ( |  | ) | const`[inline, override, virtual]`

Number of loaded vertices

Implements Nv::Blast::IMeshFileReader.

virtual bool Nv::Blast::FbxFileReader::isCollisionLoaded | ( |  | ) | `[override, virtual]`

Check whether file contained an collision geometry

Implements Nv::Blast::IMeshFileReader.

virtual void Nv::Blast::FbxFileReader::loadFromFile | ( | const char * | filename | ) | `[override, virtual]`

Implements Nv::Blast::IMeshFileReader.

virtual void Nv::Blast::FbxFileReader::release | ( |  | ) | `[override, virtual]`

Delete this object

Implements Nv::Blast::IMeshFileReader.

The documentation for this class was generated from the following file:

- sdk/extensions/exporter/source/NvBlastExtExporterFbxReader.h